Ask Your Question
1

Problem updating Fedora rawhide (30)

asked 2019-03-13 17:17:19 -0500

dundo gravatar image

I've installed Fedora Rawhide (30) a few weeks ago and have been updating it with "dnf update" without a problem.

For a few days now that no longer works and I saw that some packages now have fc31 in their names, so I guess I should upgrade to Rawhide 31?

How do I do that?

When I run "dnf update" I get:

    (731/732): slack-3.3.8-0.1.fc21.x86_64.rpm      2.0 MB/s |  59 MB     00:29    
    (732/732): google-chrome-stable-73.0.3683.75-1. 352 kB/s |  55 MB     02:40    
    --------------------------------------------------------------------------------

Total                                           1.5 MB/s | 427 MB     04:40     
warning: /var/cache/dnf/rawhide-2d95c80a1fa0a67d/packages/adobe-source-code-pro-fonts-2.030.1.050-6.fc30.noarch.rpm: Header V3 RSA/SHA256 Signature, key ID 3c3359c4: NOKEY
Fedora - Rawhide - Developmental packages for t 1.6 MB/s | 1.6 kB     00:00    
Importing GPG key 0xCFC659B9:
 Userid     : "Fedora (30) <fedora-30-primary@fedoraproject.org>"
 Fingerprint: F1D8 EC98 F241 AAF2 0DF6 9420 EF3C 111F CFC6 59B9
 From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-30-x86_64
Is this ok [y/N]: y
Key imported successfully
Import of key(s) didn't help, wrong key(s)?
Public key for adobe-source-code-pro-fonts-2.030.1.050-6.fc30.noarch.rpm is not installed. Failing package is: adobe-source-code-pro-fonts-2.030.1.050-6.fc30.noarch
 GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-30-x86_64
Public key for binutils-gold-2.32-9.fc31.x86_64.rpm is not installed. Failing package is: binutils-gold-2.32-9.fc31.x86_64
 GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-30-x86_64
....
and so on ...
....
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: GPG check FAILED

# cat /etc/fedora-release 
Fedora release 30 (Rawhide)
edit retag flag offensive close merge delete

Comments

You should be running a supported release of Fedora, like F29. There is no such thing as Fedora 30 yet. Rawhide is rawhide but certainly different from F30 or even F31. After reading this, you should be aware that rawhide requires in-depths knowledge and it's not suitable for end-user purposes. Go back up your personal data and install F29.

florian gravatar imageflorian ( 2019-03-13 23:37:54 -0500 )edit

Can't do that. F29 won't install on my laptop as I described in this post: link text

dundo gravatar imagedundo ( 2019-03-15 19:50:17 -0500 )edit

2 Answers

Sort by ยป oldest newest most voted
1

answered 2019-03-14 01:44:13 -0500

villykruse gravatar image

It is still recommended to stay with Fedora29, but if you insist and are willing to take the consequences:

Fedora 30Beta has branched off from rawhide is now continued on th Fedora30 repositories.

repo id                      repo name                                    status
*fedora                      Fedora 30 - x86_64                           58201
*fedora-modular              Fedora Modular 30 - x86_64                     125
*rpmfusion-free-rawhide      RPM Fusion for Fedora Rawhide - Free           610
*rpmfusion-nonfree-rawhide   RPM Fusion for Fedora Rawhide - Nonfree        231
*updates                     Fedora 30 - x86_64 - Updates                     0
*updates-modular             Fedora Modular 30 - x86_64 - Updates             0
*updates-testing             Fedora 30 - x86_64 - Test Updates             3768
*updates-testing-modular     Fedora Modular 30 - x86_64 - Test Updates      129

To do the switch:

dnf --disablerepo='*' --enablerepo=fedora update 'fedora*'

That will install new repository files. Notice, RpmFusion is still rawhide.

Yesterday the new wallpaper was made available in the repositories.

edit flag offensive delete link more
0

answered 2019-03-14 08:09:15 -0500

Tim4 gravatar image

I fixed this by installing fedora-repos-30 package which automatically import GPG keys for rawhide:

sudo dnf install https://kojipkgs.fedoraproject.org//packages/fedora-repos/30/0.6/noarch/fedora-gpg-keys-30-0.6.noarch.rpm https://kojipkgs.fedoraproject.org//packages/fedora-repos/30/0.6/noarch/fedora-repos-30-0.6.noarch.rpm https://kojipkgs.fedoraproject.org//packages/fedora-repos/30/0.6/noarch/fedora-repos-rawhide-30-0.6.noarch.rpm
edit flag offensive delete link more

Comments

1

That would do the same thing as

dnf --disablerepo='*' --enablerepo=fedora update 'fedora*'

That is, disable rawhide and enable fedora30beta repositories, There is always more than one way to do it.

villykruse gravatar imagevillykruse ( 2019-03-14 10:37:17 -0500 )edit

@villykruse, that is much nicer and better way to do this for sure. Thank you! +1

Tim4 gravatar imageTim4 ( 2019-03-19 13:21:00 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

2 followers

Stats

Asked: 2019-03-13 17:17:19 -0500

Seen: 88 times

Last updated: Mar 14